Index: branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 10106)
+++ branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 11591)
@@ -140,5 +140,6 @@
         try {
           return (T)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType();
-        } catch (Exception ex) {
+        }
+        catch (Exception ex) {
           ErrorHandling.ShowErrorDialog(this, ex);
         }
@@ -219,18 +220,14 @@
     #region ListView Events
     protected virtual void itemsListView_SelectedIndexChanged(object sender, EventArgs e) {
-      removeButton.Enabled = Content != null && !Content.IsReadOnly && !ReadOnly && itemsListView.SelectedItems.Count > 0;
+      removeButton.Enabled = (Content != null) && !Content.IsReadOnly && !ReadOnly && itemsListView.SelectedItems.Count > 0;
       AdjustListViewColumnSizes();
-      if (itemsListView.SelectedItems.Count == 1) {
-        var item = (T)itemsListView.SelectedItems[0].Tag;
-        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
-        var outermostViewHost = mainForm.ShowContentInOutermostViewHost(item, this, true);
-        if (outermostViewHost == null || !outermostViewHost.HotlinkingEnabled) {
-          if (showDetailsCheckBox.Checked) {
-            detailsGroupBox.Enabled = true;
-            viewHost.Content = item;
-          } else {
-            viewHost.Content = null;
-            detailsGroupBox.Enabled = false;
-          }
+      if (showDetailsCheckBox.Checked) {
+        if (itemsListView.SelectedItems.Count == 1) {
+          T item = (T)itemsListView.SelectedItems[0].Tag;
+          detailsGroupBox.Enabled = true;
+          viewHost.Content = item;
+        } else {
+          viewHost.Content = null;
+          detailsGroupBox.Enabled = false;
         }
       }
@@ -249,10 +246,11 @@
     protected virtual void itemsListView_DoubleClick(object sender, EventArgs e) {
       if (itemsListView.SelectedItems.Count == 1) {
-        var item = (T)itemsListView.SelectedItems[0].Tag;
-        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
-        var outermostViewHost = mainForm.ShowContentInOutermostViewHost(item, this);
-        if (outermostViewHost != null) {
-          outermostViewHost.ActiveView.ReadOnly = ReadOnly;
-          outermostViewHost.ActiveView.Locked = Locked;
+        T item = itemsListView.SelectedItems[0].Tag as T;
+        if (item != null) {
+          IContentView view = MainFormManager.MainForm.ShowContent(item);
+          if (view != null) {
+            view.ReadOnly = ReadOnly;
+            view.Locked = Locked;
+          }
         }
       }
Index: branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ItemListView.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 10106)
+++ branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 11591)
@@ -146,5 +146,6 @@
         try {
           return (T)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType();
-        } catch (Exception ex) {
+        }
+        catch (Exception ex) {
           ErrorHandling.ShowErrorDialog(this, ex);
         }
@@ -242,19 +243,13 @@
                              (Content != null) && !Content.IsReadOnly && !ReadOnly;
       AdjustListViewColumnSizes();
-      if (itemsListView.SelectedItems.Count == 1) {
-        var item = (T)itemsListView.SelectedItems[0].Tag;
-        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
-        var outermostViewHost = mainForm.ShowContentInOutermostViewHost(item, this, true);
-        if (outermostViewHost != null && outermostViewHost.HotlinkingEnabled) {
-          outermostViewHost.ActiveView.ReadOnly = ReadOnly;
-          outermostViewHost.ActiveView.Locked = Locked;
+
+      if (showDetailsCheckBox.Checked) {
+        if (itemsListView.SelectedItems.Count == 1) {
+          T item = (T)itemsListView.SelectedItems[0].Tag;
+          detailsGroupBox.Enabled = true;
+          viewHost.Content = item;
         } else {
-          if (showDetailsCheckBox.Checked) {
-            detailsGroupBox.Enabled = true;
-            viewHost.Content = item;
-          } else {
-            viewHost.Content = null;
-            detailsGroupBox.Enabled = false;
-          }
+          viewHost.Content = null;
+          detailsGroupBox.Enabled = false;
         }
       }
@@ -272,10 +267,11 @@
     protected virtual void itemsListView_DoubleClick(object sender, EventArgs e) {
       if (itemsListView.SelectedItems.Count == 1) {
-        var item = (T)itemsListView.SelectedItems[0].Tag;
-        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
-        var outermostViewHost = mainForm.ShowContentInOutermostViewHost(item, this);
-        if (outermostViewHost != null) {
-          outermostViewHost.ActiveView.ReadOnly = ReadOnly;
-          outermostViewHost.ActiveView.Locked = Locked;
+        T item = itemsListView.SelectedItems[0].Tag as T;
+        if (item != null) {
+          IContentView view = MainFormManager.MainForm.ShowContent(item);
+          if (view != null) {
+            view.ReadOnly = ReadOnly;
+            view.Locked = Locked;
+          }
         }
       }
Index: branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 10106)
+++ branches/Breadcrumbs/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 11591)
@@ -27,5 +27,4 @@
 using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.Core.Views {
@@ -147,33 +146,17 @@
       }
     }
-    protected virtual void itemsListView_SelectedIndexChanged(object sender, EventArgs e) {
-      removeButton.Enabled = Content != null && !Content.IsReadOnly && !ReadOnly && itemsListView.SelectedItems.Count > 0;
-      AdjustListViewColumnSizes();
-      if (itemsListView.SelectedItems.Count == 1) {
-        var item = (IParameter)itemsListView.SelectedItems[0].Tag;
-        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
-        var outermostViewHost = mainForm.ShowContentInOutermostViewHost(item, this, true);
-        if (outermostViewHost != null && outermostViewHost.HotlinkingEnabled) {
-          outermostViewHost.ActiveView.ReadOnly = ReadOnly || (item.Hidden && !AllowEditingOfHiddenParameters);
-          outermostViewHost.ActiveView.Locked = Locked;
-        } else {
-          if (showDetailsCheckBox.Checked) {
-            detailsGroupBox.Enabled = true;
-            viewHost.Content = item;
-          } else {
-            viewHost.Content = null;
-            detailsGroupBox.Enabled = false;
-          }
-        }
-      }
+    protected override void itemsListView_SelectedIndexChanged(object sender, EventArgs e) {
+      base.itemsListView_SelectedIndexChanged(sender, e);
+      SetEnabledStateOfControls();
     }
     protected override void itemsListView_DoubleClick(object sender, EventArgs e) {
       if (itemsListView.SelectedItems.Count == 1) {
-        var item = (IParameter)itemsListView.SelectedItems[0].Tag;
-        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
-        var outermostViewHost = mainForm.ShowContentInOutermostViewHost(item, this);
-        if (outermostViewHost != null) {
-          outermostViewHost.ActiveView.ReadOnly = ReadOnly || (item.Hidden && !AllowEditingOfHiddenParameters);
-          outermostViewHost.ActiveView.Locked = Locked;
+        IParameter item = itemsListView.SelectedItems[0].Tag as IParameter;
+        if (item != null) {
+          IContentView view = MainFormManager.MainForm.ShowContent(item);
+          if (view != null) {
+            view.ReadOnly = ReadOnly || (item.Hidden && !AllowEditingOfHiddenParameters);
+            view.Locked = Locked;
+          }
         }
       }
